petsc-3.7.7 2017-09-25
Report Typos and Errors

# PCBDDCSetDirichletBoundariesLocal

Set IS defining Dirichlet boundaries for the global problem in local ordering.

### Synopsis

    #include "petscpc.h"
    PetscErrorCode PCBDDCSetDirichletBoundariesLocal(PC pc,IS DirichletBoundaries)

Collective

### Input Parameters

| pc | - the preconditioning context
| DirichletBoundaries | - parallel IS defining the Dirichlet boundaries (in local ordering)

### Notes

### See Also

PCBDDC, PCBDDCSetDirichletBoundaries(), MatZeroRows(), MatZeroRowsColumns()

Level:intermediate
Location:src/ksp/pc/impls/bddc/bddc.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages